Loading...
Searching...
No Matches
Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > > Class Template Reference

`#include <dune/istl/matrixredistribute.hh>`

Inheritance diagram for Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >:

## Public Types

typedef OwnerOverlapCopyCommunication< T, T1 > | Comm

## Public Member Functions

| RedistributeInformation ()
RedistributeInterface & | getInterface ()
template<typename IS>
void | checkInterface (const IS &source, const IS &target, MPI_Comm comm)
void | setSetup ()
void | resetSetup ()
template<class GatherScatter, class D>
void | redistribute (const D &from, D &to) const
template<class GatherScatter, class D>
void | redistributeBackward (D &from, const D &to) const
template<class D>
void | redistribute (const D &from, D &to) const
template<class D>
void | redistributeBackward (D &from, const D &to) const
bool | isSetup () const
void | reserve (std::size_t size)
std::size_t & | getRowSize (std::size_t index)
std::size_t | getRowSize (std::size_t index) const
std::size_t & | getCopyRowSize (std::size_t index)
std::size_t | getCopyRowSize (std::size_t index) const
std::size_t & | getBackwardsCopyRowSize (std::size_t index)
std::size_t | getBackwardsCopyRowSize (std::size_t index) const
void | setNoRows (std::size_t rows)
void | setNoCopyRows (std::size_t rows)
void | setNoBackwardsCopyRows (std::size_t rows)

## Member Typedef Documentation

## Comm

template<typename T, typename T1>

typedef OwnerOverlapCopyCommunication<T,T1> Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::Comm

## Constructor & Destructor Documentation

## RedistributeInformation()

template<typename T, typename T1>

Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::RedistributeInformation | ( |  | ) |

inline

## Member Function Documentation

## checkInterface()

template<typename T, typename T1>
template<typename IS>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::checkInterface | ( | const IS & | source,
|  | const IS & | target,
|  | MPI_Comm | comm )

inline

## getBackwardsCopyRowSize() [1/2]

template<typename T, typename T1>

std::size_t & Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::getBackwardsCopyRowSize | ( | std::size_t | index | ) |

inline

## getBackwardsCopyRowSize() [2/2]

template<typename T, typename T1>

std::size_t Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::getBackwardsCopyRowSize | ( | std::size_t | index | ) | const

inline

## getCopyRowSize() [1/2]

template<typename T, typename T1>

std::size_t & Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::getCopyRowSize | ( | std::size_t | index | ) |

inline

## getCopyRowSize() [2/2]

template<typename T, typename T1>

std::size_t Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::getCopyRowSize | ( | std::size_t | index | ) | const

inline

## getInterface()

template<typename T, typename T1>

RedistributeInterface & Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::getInterface | ( |  | ) |

inline

## getRowSize() [1/2]

template<typename T, typename T1>

std::size_t & Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::getRowSize | ( | std::size_t | index | ) |

inline

## getRowSize() [2/2]

template<typename T, typename T1>

std::size_t Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::getRowSize | ( | std::size_t | index | ) | const

inline

## isSetup()

template<typename T, typename T1>

bool Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::isSetup | ( |  | ) | const

inline

## redistribute() [1/2]

template<typename T, typename T1>
template<class D>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::redistribute | ( | const D & | from,
|  | D & | to ) const

inline

## redistribute() [2/2]

template<typename T, typename T1>
template<class GatherScatter, class D>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::redistribute | ( | const D & | from,
|  | D & | to ) const

inline

## redistributeBackward() [1/2]

template<typename T, typename T1>
template<class D>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::redistributeBackward | ( | D & | from,
|  | const D & | to ) const

inline

## redistributeBackward() [2/2]

template<typename T, typename T1>
template<class GatherScatter, class D>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::redistributeBackward | ( | D & | from,
|  | const D & | to ) const

inline

## reserve()

template<typename T, typename T1>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::reserve | ( | std::size_t | size | ) |

inline

## resetSetup()

template<typename T, typename T1>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::resetSetup | ( |  | ) |

inline

## setNoBackwardsCopyRows()

template<typename T, typename T1>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::setNoBackwardsCopyRows | ( | std::size_t | rows | ) |

inline

## setNoCopyRows()

template<typename T, typename T1>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::setNoCopyRows | ( | std::size_t | rows | ) |

inline

## setNoRows()

template<typename T, typename T1>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::setNoRows | ( | std::size_t | rows | ) |

inline

## setSetup()

template<typename T, typename T1>

void Dune::RedistributeInformation< OwnerOverlapCopyCommunication< T, T1 > >::setSetup | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- matrixredistribute.hh